\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{myletter}
\DeclareOption*{\passOptionsToClass{\CurrentOption}{letter}}
\ProcessOptions
\LoadClass[12pt]{letter}

\newsavebox{\ltrhead}
\sbox{\ltrhead}{\parbox{.9\textwidth}{
 {\Large\bf ABC Company}\hfill
  \parbox[b]{.3\textwidth}{\small
    123 xyz Street, Taipei\\[-2pt]
    (02)2987-6543}\\
 \rule{.9\textwidth}{.6pt}}}
\renewcommand{\ps@firstpage}
  {\renewcommand{\@oddhead}{\usebox{\ltrhead}}}

\pagestyle{headings}
